Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6294 - PnP modem doesn't work after upgrade to 6.1
Summary: PnP modem doesn't work after upgrade to 6.1
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.1
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-24 01:44 UTC by hchcheng
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-06 05:07:32 UTC


Attachments (Terms of Use)

Description hchcheng 1999-10-24 01:44:48 UTC
After upgrading from 6.0, my USR internal voice modem
(ttyS3) no longer works.  It seems that isapnp says that the
IO port is in use from /proc/ioports, but of course it is!
It seems that as the kernel starts up, it allocates the IO
ports and interrupts.  So far, the only way I can disable
this seems to be turning off serial support in the kernel
altogether.  isapnp then works as expected but I can't do
much without serial port access.  I have rebuilt the kernel
a few times with different serial and plug-and-play
optiions, but the result is exactly the same (except when I
turn of serial port support).  I don't know if this is a
problem with the kernel or isapnp.

I should mention that the modem was working fine in RH 5.1,
5.2, and 6.0.

Here are some info:

dmesg says:

Serial driver version 4.27 with SHARE_IRQ enabled
ttyS00 at 0x03f8 (irq = 4) is a 16550A
ttyS01 at 0x02f8 (irq = 3) is a 16550A
ttyS03 at 0x02e8 (irq = 3) is a 16550A

minicom doesn't work.

isapnp at boot up says:

Board 1 has Identity ... CTL0024 ...
Board 2 had Identity ... USR3070 ...
CTL0024/... [0] {Audio}: Ports 0x220 0x330 0x388; IRQ5 DMA1
DMA5 --- Enabled OK
CTL0024/... [2] {Reserved}: Port 0x2F0; --- Enabled OK
CTL0024/... [3] {Game}: Port 0x200; --Enabled OK
/etc/isapnp.conf: 422 -- Fatal - resource conflict
allocating 8 bytes of IO at 2E8 (see /proc/ioports)
/etc/isapnp.conf: 422 -- Fatal - Error occurred executing
request <IORESCHECK> --- Further acton aborted.

Also, my vgetty.ttyS3 gives:

10/23 21:05:58 yS3  vgetty: experimental test release 0.9.4
/ 20Jul99
10/23 21:05:58 yS3  mgetty: experimental test release
1.1.21-Jul24
10/23 21:05:59 yS3  reading generic configuration from
config file /etc/mgetty+sendfax/voice.conf
10/23 21:05:59 yS3  reading program vgetty configuration
from config file /etc/mgetty+sendfax/voice.conf
10/23 21:05:59 yS3  reading port ttyS3 configuration from
config file /etc/mgetty+sendfax/voice.conf
10/23 21:05:59 yS3  check for lockfiles
10/23 21:05:59 yS3  locking the line
10/23 21:05:59 yS3  lowering DTR to reset Modem
10/23 21:06:00 yS3  send: \dATQ0V1H0[0d]
10/23 21:06:00 yS3  waiting for ``OK'' ** found **
10/23 21:06:01 yS3  send: ATS0=0Q0&D3&C1[0d]
10/23 21:06:01 yS3  waiting for ``OK'' ** found **
10/23 21:06:01 yS3  mdm_send: 'ATI'
10/23 21:06:01 yS3  USR Courier/Sportster 56k detected
10/23 21:06:01 yS3  mdm_send: 'ATI3'
10/23 21:06:01 yS3  additional info: 'U.S. Robotics 56K
Voice INT V4.9.1'
10/23 21:06:01 yS3  mdm_send: 'AT+FCLASS=2.0' -> OK
10/23 21:06:01 yS3  mdm_send: 'AT+FAA=1;+FCR=1' -> OK
10/23 21:06:02 yS3  mdm_send: 'AT+FBO=1' -> OK
10/23 21:06:02 yS3  mdm_send: 'AT+FNR=1,1,1,0' -> OK
10/23 21:06:02 yS3  mdm_send: 'AT+FLI="(519) 747-5733"' ->
OK
10/23 21:06:02 yS3  mdm_send: 'AT+FCC=1,5,0,2,0,0,0,0' -> OK
10/23 21:06:02 yS3  detecting voice modem type
10/23 21:06:04 yS3  US Robotics detected
10/23 21:06:05 yS3  US Robotics voice modem
10/23 21:06:05 yS3  This is a driver beta version. V0.4.b3
10/23 21:06:06 yS3  VTD setup successful
10/23 21:06:06 yS3  vgetty: Modem returned ERROR
10/23 21:06:07 yS3  setting ringback delay didn't work
10/23 21:06:07 yS3  waiting...

That's quite a bit of stuff to look through.  Let me know if
you need any other information (e.g. isapnp.conf).

I have also tried the latest isapnptools 1.19 downloaded
from the official web page, but it didn't work either.

Comment 1 hchcheng 1999-10-24 01:52:59 UTC
I just looked at:

  http://www.uk.linux.org/VERSION/relnotes.2213.html

It says that a serial shared IRQ bug in 2.2.12 has been fixed.  It may
or may not have anything to do with my problem.

Comment 2 hchcheng 1999-10-24 13:46:59 UTC
Two things:

1. It seems to be kernel related.  I downloaded the source of 2.2.13
and compiled the kernel.  The problem with isapnp complaining a
conflict went away immediately.

2. The error messages I got previously "ringback delay didn't work" is
still present, but it seems to work anyway.  Maybe it was working all
along despite the complain by isapnp.

Comment 3 Cristian Gafton 2000-01-04 22:26:59 UTC
Assigned to dledford

Comment 4 Bill Nottingham 2000-02-06 05:07:59 UTC
This should be fixed with any of the recent 2.2.13 or 2.2.14-based
kernels in Raw Hide.


Note You need to log in before you can comment on or make changes to this bug.